
module Kernel

  # A shorthand pronoun for binding().
  #
  #   a = 3
  #   b = here
  #   eval( "a", b )  #=> 3
  #
  alias_method( :here, :binding )

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCKernel < Test::Unit::TestCase

    def test_here
      assert_instance_of( Binding, here )
    end

  end

=end
